Subject: Re: 3.0: unexpected route cache entry for wrong segment?

From: Michael Tokarev <[email-masked]>
Date: Wed, 29 Feb 2012 05:00:25 +0400

On 28.02.2012 23:07, David Miller wrote:
[]
>>> If you believe a fix is needed, just shout :)
>>
>> I think the a fix is needed.  I still don't understand where our
>> unexpected redirects are coming from, but we had two more occurences
>> of this very issue.  After applying the two patches:
>>
>> 7cc9150ebe8ec06cafea9f1c10d92ddacf88d8ae route: fix ICMP redirect validation
>> 9cc20b268a5a14f5e57b8ad405a83513ab0d78dc ipv4: fix redirect handling
> 
> If you were paying attention, you'd see that both of these patches are
> in Greg's stable queue already.

Indeed, they're in current 3.0.23 review cycle -- somehow
I haven't noticed.  This should be ok, thank you!

/mjt